#!/bin/sh
#
#  This library is part of the CV - Die Comicverwaltung project
#
#
#  This module was created by members of the CV development
#  team.  All individual contributions remain the Copyright (C) of
#  those individuals and all rights are reserved.  Contributors to
#  this file are either listed below or can be obtained from a CV
#  history command.
#
#   Created by:  Ralf Loga <webmaster@loga-soft.de>
#
#   Contributor(s):
#
#
#   $Id: install.sh.in,v 1.0 2005/09/17 14:04:39 ralfloga Exp $
#

#  Install script for cvtc Program CV Thin Client Online database engine
#  http://www.loga-soft.de

# This is the new file !!!


#------------------------------------------------------------------------
# Prompt for response, store result in Answer

Answer=""

AskQuestion() {
    Test=$1
    DefaultAns=$2
    echo -n "${1}"
    Answer="$DefaultAns"
    read Answer
}

#------------------------------------------------------------------------
# Prompt for yes or no answer - returns non-zero for no

AskYNQuestion() {
    while echo -n "${*} (y/n): "
    do
        read answer rest
        case $answer in
        [yY]*)
            return 0
            ;;
        [nN]*)
            return 1
            ;;
        *)
            echo "Please answer y or n"
            ;;
        esac
    done
}


#------------------------------------------------------------------------
# Run process and check status


runAndCheckExit() {
    Cmd=$*

#    echo $Cmd
    $Cmd

    ExitCode=$?

    if [ $ExitCode -ne 0 ]
      then
        echo "Install aborted: The command $Cmd "
        echo "                 failed with error code $ExitCode"
        exit
    fi
}

#------------------------------------------------------------------------
# Check for a previous install 


checkInstallUser() {

    if [ "`whoami`" != "root" ];
      then
        echo ""
        echo "--- Warning ----------------------------------------------"
        echo ""
        echo "    You need to be 'root' user to install"
        echo ""
        exit
    fi
}



#== Main Program ==========================================================


InteractiveInstall=1
export InteractiveInstall


checkInstallUser

BuildVersion=1.0.0.0
PackageVersion=0
CpuType=i686

Version="$BuildVersion-$PackageVersion.$CpuType"


cat <<EOF

CV Thin Client $Version Installation

EOF



AskQuestion "Press Enter to start installation or ^C to abort"


# Here we are installing from a install Dir

echo "Copy FireBird Client Library to /lib Dir"

if [ ! -e /lib/libgds.so ]
  then
    cp libib/libgds.so /lib/libgds.so
fi

if [ ! -e /lib/libib_util.so ]
  then
    cp libib/libib_util.so /lib/libib_util.so
fi


if [ ! -e /lib/firebird.msg ]
  then
    cp libib/firebird.msg /lib/firebird.msg
fi


if [ ! -e "usr/lib/libcrypt.so" ]; then
  echo "Create symbolic Link libcrypt.so"
  ln -s /lib/libcrypt.so.1 /usr/lib/libcrypt.so
fi

chmod u=rwx,g=rwx,o=rwx cvtc
chmod u=rwx,g=rwx,o=rwx libsqlib.so.1.0
chmod u=rwx,g=rwx,o=rwx libmidas.so.1
chmod u=rwx,g=rwx,o=rwx libborqt-6.9-qt2.3.so

if [ ! -e /tmp/cvtc ]
  then
    mkdir /tmp/cvtc
    chmod u=rwx,g=rwx,o=rwx /tmp/cvtc
fi

echo "Install completed"
